.TH SIAG 1 LOCAL

.SH NAME
siag \- Scheme In A Grid

.SH SYNOPSIS
.B siag
[X-options] [siod-options] [filename...]

.SH DESCRIPTION
.I Siag
is an X-based spreadsheet for Unix.
It uses Scheme both for expressions and as a macro language,
which makes it easy to create new functions. The Scheme interpreter
is 
.I SIOD
written by George Carrette. 

Siag stands for Scheme In A Grid. 

.SH COMMAND LINE OPTIONS
.TP
.BI X-options
See on-line documentation.
.TP
.BI SIOD-options
See on-line documentation.

.SH ENVIRONMENT
.TP
.BI HOME
is the name of the user's home directory.
.TP
.BI PRINTER
is the name of the default printer destination.
.TP
.BI SIAGHELP
is the name of Siag's online help browser, normally Netscape although
any HTML browser can be used.
.TP
.BI SIAGHOME
is the name of Siag's "home" directory, normally /usr/local/lib/siag.
.TP
.BI SIAGDOCS
is the directory where Siag's online help files are installed.

.SH FILES
.TP
.BI $SIAGHOME/siag/siag.scm
is automatically read on startup and contains a runtime library
including many of the functions that are necessary for normal
operation. Siag will not work properly without this file.
.TP
.BI $SIAGHOME/siag/menu.scm
is also read on startup and contains the code to set up menus.
Failure to load this file will result in all the menus being empty.
.TP
.BI $HOME/.siag/siag.scm
contains optional Scheme code which should be loaded after
siag.scm but before any documents.

.PD
.SH SEE ALSO
On-line documentation, which contains more complete information about the
invocation and usage of Siag.

.SH DIAGNOSTICS
Most error messages come from SIOD and are printed on the bottom line.
See SIOD source and documentation for interpretation.

.SH LIMITATIONS
Siag can read and write several file formats
(see on-line documentation for details),
but the proprietary Microsoft Excel format is not supported. This can be
seen as a strength or a shortcoming, depending on one's preferences.

The sheet can in theory contain up to 100000 lines with 100000 columns.
All the data is kept in memory, so the amount of virtual memory
limits the real maximum size.

Strings are stored in a dynamically expanding space, which is limited
by the amount of virtual memory.

.SH BUGS
Handles out of memory conditions ungracefully.

And more.

.SH VERSION
Current version (6 August 1998) is Siag 3.0 by Ulric Eriksson, 
ulric\@edu.stockholm.se. 

The online documentation is probably
more recent than this manpage and is likely to contain more
accurate information.

.SH AUTHOR
Copyright (C) 1996-1998 Ulric Eriksson

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

.SH ACKNOWLEDGEMENTS
Major parts of this program are written by people other than myself.
There is no reason to re-implement stuff that is already freely available.

For copyright information and installation instructions, see the
various packages. The sources are hacked by Yours Truly to give the
programs a uniform look. If you don't approve of that and/or already
have the programs installed, there is no need to install my versions.

These are not the original versions. If my modifications break
anything, complain to me about it, not the original authors.
If the original versions work and mine don't, then don't use mine.
.TP
.BI SIOD
The embedded Scheme interpreter is an extremely small interpreter
called SIOD, which can be used stand-alone or easily integrated
into a program as an extension language.

Author: George J. Carrette, gjc\@delphi.com

.TP
.BI Xaw3d
The 3D Athena widget replacement provides a Motif-ish look to
the program without the license cost.

Author: Kaleb S. Keithley, kaleb\@x.org
.TP
.BI Gnuplot
The plotting utility Gnuplot is used by Siag for plotting graphs
from information in spreadsheets.

Authors: Thomas Williams, Colin Kelley and others.

